Минимальный Libreoffice

Алексей Федорчук

Как ни открещивайся «офисного планктона», а без офисного пакета в обыденной жизни обойтись можно не всегда. И всё дело идёт к тому, что этот самый офисный пакет может быть любым — при условии, что это будет LibreOffice. Так что вопрос стоит только — как минимизировать это неизбежное зло?

В большинстве дистрибутивов все составляющие LibreOffice устанавливаются гуртом, включая презентационную программу, векторную рисовалку и базу данных. Хотя в реальной жизни из всего этого хозяйства обычно востребован лишь текстовый процессор Writer и, иногда, табличный процессор Calc. Конечно, в силу особенностей архитектуры LibreOffice, унаследованной ещё от времён фирмы Star Division, каждый из ненужных компонентов офисного комбайна отъедает не так много дискового пространства.

Но мне, например, все эти Draw’ы и Impress’ы, просто мозолят глаза — и не только в меню (где соответствующие пункты можно скрыть), но и в выводах команд управления файлами и их графических оболочек. Так что в maxi-сборку Cintu LibreOffcie, хочешь-не хочешь, пришлось включить, но — в минимальной комплектации, благо во всех системах Ubuntu based сделать это не сложно, если точно знать, что действительно нужно.

А нужно-то всего, что дать такую команду:

sudo apt install libreoffice-calc libreoffice-writer

Ею будут установлены в качестве зависимостей все компоненты, необходимые для работы табличного и текстового процессоров, как и они сами.

Интерфейс установленных таким образом «чистых» Writer’а и Calc’а будет далёким от эстетического совершенства. Чтобы он вписывался в общий стиль используемой рабочей среды, нужно установить пакет интеграции с оной, в случае Cintu с её Cinnamon — с Gtk+ 3:

sudo apt install libreoffice-gtk3

Для сред GNOME, XFce/MATE, KDE потребуются libreoffice-gnome, libreoffice-gtk и libreoffice-kde, соответственно.

Ну и для пущей красивости не худо установить какой-либо стилевой пакет, отвечающий, в частности, за вид иконок. Выбрав его из вывода следующей команды:

apt search libreoffice | grep style

Я остановился на пакете libreoffice-style-tango. Почему? Наверное, потому, что он был последним в списке, а тратить много времени на украшательство программ, для меня даже не второстепенных, не хотелось. А уж libreoffice-style-galaxy был притянут в качестве его зависимости. Тем не менее, внешний вид LibreOffcie Writer’а отвратительным мне не показался:

minial-libreoffice_01

А полный список установленных пакетов приобрёл такой вид:

minial-libreoffice_02

Убавить из него, как мне кажется, уже ничего не удастся. А вот пополнить его — можно. В частности, в наших условиях не помешают локально-зависимые пакеты:

sudo apt install libreoffice-help-ru libreoffice-l10n-ru

Хотя в аргументах команды достаточно первого пакета — второй будет установлен как его зависимость. На первом скриншоте приведён вид текстового процессора LibreOffice Writer после локализации.

Завершающий штрих локализации — подключение проверки орфографии для русского языка. Предлагаемый по умолчанию пакет hunspell-ru не поддерживает буквы Ё вообще. Так что тем, кто полагает её не лишней, лучше установить альтернативу из PPA-репозитория Андрея Кузнецова — пакет hunspell-ru-ie-yo:

sudo -s
add-apt-repository ppa:andrew-crew-kuznetsov/crew
apt update
apt install hunspell-ru-ie-yo
exit

Те же, кто, подобно автору этих строк, считает букву Ё обязательной, могут скачать файл hunspell-ru-aot_0.4.0-2_all.deb из прото-репозитория Cintu и установить его одной из следующих команд:

sudo dpkg -i hunspell-ru-aot_0.4.0-2_all.deb

или

sudo gdebi hunspell-ru-aot_0.4.0-2_all.deb

А можно, просто щёлкнув мышью в Nemo на имени скачанного файла, запустить для его установки графическую оболочку GDebi.

Минимальный Libreoffice: 4 комментария

  1. Алексей, при попытке скачать файл hunspell-ru-aot_0.4.0-2_all.deb из прото-репозитория Cintu наблюдаю такую картину: http://itmages.ru/image/view/4935831/36ac98a1
    И это во всех веббраузерах. Ни один пакет из Вашего репозитория не загружается.

  2. Vita, а если ПКМ и «сохранить объект как»? Обычно помогает в сходных ситуациях.

  3. Точно, я забыл, что мой хвостер всё, кроме zip’ов etc. считает чем-то страшно опасным. Виктор, спасибо за напоминание. Надо будет отдельно написать про это :)
    Таня, про проект на базе Aot в LO пишут, что он больше не поддерживается. Работающая ссылка на последнюю версию — вот: http://extensions.libreoffice.org/extension-center/russian-spellcheck-dictionary.-based-on-works-of-aot-group/pscreleasefolder.2011-09-06.6209385965/0.4.0/dict_ru_ru-aot-0-4-0.oxt (только что проверил).
    Интересно, будет ли поддерживаться плагин к FF — это словарь абсолютно тот же, только в формате hunspell’а.
    Ну а если и не будет — я, например, предпочту словарь без новых слов, но с Ё, чем наоборот :)

Оставить комментарий

Перейти к верхней панели